clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::ClangTidyDiagnosticConsumer Class Reference

A diagnostic consumer that turns each `Diagnostic` into a `SourceManager-independent` `ClangTidyError`. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Inheritance diagram for clang::tidy::ClangTidyDiagnosticConsumer:
[legend]
Collaboration diagram for clang::tidy::ClangTidyDiagnosticConsumer:
[legend]

## Public Member Functions
| ClangTidyDiagnosticConsumer (ClangTidyContext &Ctx)
void | HandleDiagnostic (DiagnosticsEngine::Level DiagLevel, const Diagnostic &Info) override
void | finish () override
| Flushes the internal diagnostics buffer to the ClangTidyContext. More...

## Detailed Description

A diagnostic consumer that turns each `Diagnostic` into a `SourceManager-independent` `ClangTidyError`.

Definition at line 229 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

ClangTidyDiagnosticConsumer::ClangTidyDiagnosticConsumer | ( | ClangTidyContext & | Ctx | ) |

Definition at line 253 of file ClangTidyDiagnosticConsumer.cpp.

References DiagOpts.

## Member Function Documentation

void ClangTidyDiagnosticConsumer::finish | ( |  | ) |
| override

Flushes the internal diagnostics buffer to the ClangTidyContext.

Definition at line 545 of file ClangTidyDiagnosticConsumer.cpp.

void ClangTidyDiagnosticConsumer::HandleDiagnostic | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const Diagnostic & | Info
| ) |  |
| override

Definition at line 284 of file ClangTidyDiagnosticConsumer.cpp.

References clang::tidy::ClangTidyError::Error, clang::tidy::ClangTidyContext::getCheckName(), LangOpts, and clang::tidy::ClangTidyError::Warning.

The documentation for this class was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp